/***************************************************************************
    copyright            : (C) 2001, 2006 by Mantia Andras
    email                : amantia@kdewebdev.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef IMAGEOPTIONSPAGE_H
#define IMAGEOPTIONSPAGE_H

#include "kimageoptionspage.h"
#include "wizardpagebase.h"

/**
 * @short
 * Image conversion options page.
 * 
 * @author Andras Mantia <amantia@kdewebdev.org>
 */
class ImageOptionsPage: public KImageOptionsPage, public WizardPageBase  {
Q_OBJECT
public:
  ImageOptionsPage(QWidget *parent = 0, const char *name = 0);
  void invokeHelp();
  bool processPage();
  void setupPage();

private slots:
  /**
   * Called if the quality slider was moved.
   * @param value the new value of the slider.
   */
  void slotQualityValueChanged(int value);
};

#endif
